FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202011181111.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202011181111.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=077ff76b50c443a525afbb78ad4159bf35f28c0b KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=13+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.13.0+077ff76 OS_GIT_COMMIT=077ff76 OS_GIT_VERSION=4.6.0-202011181111.p0-077ff76 SOURCE_DATE_EPOCH=1601022400 SOURCE_GIT_COMMIT=077ff76b50c443a525afbb78ad4159bf35f28c0b SOURCE_GIT_TAG=openshift-4.2.0-rc.3-62-g077ff76b5 SOURCE_GIT_URL=https://github.com/openshift/image-registry 
WORKDIR /go/src/github.com/openshift/image-registry
COPY . .
RUN hack/build-go.sh

FROM openshift/ose-base:v4.6.0.20201118.120155
ENV __doozer=update BUILD_RELEASE=202011181111.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202011181111.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=077ff76b50c443a525afbb78ad4159bf35f28c0b KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=13+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.13.0+077ff76 OS_GIT_COMMIT=077ff76 OS_GIT_VERSION=4.6.0-202011181111.p0-077ff76 SOURCE_DATE_EPOCH=1601022400 SOURCE_GIT_COMMIT=077ff76b50c443a525afbb78ad4159bf35f28c0b SOURCE_GIT_TAG=openshift-4.2.0-rc.3-62-g077ff76b5 SOURCE_GIT_URL=https://github.com/openshift/image-registry 
RUN yum install -y rsync && yum clean all && rm -rf /var/cache/yum
COPY --from=builder /go/src/github.com/openshift/image-registry/_output/local/bin/dockerregistry /usr/bin/
COPY images/dockerregistry/config.yml /
RUN chmod a+w -R /etc/pki/ca-trust/extracted
USER 1001
EXPOSE 5000
VOLUME /registry
ENV REGISTRY_CONFIGURATION_PATH=/config.yml
ENTRYPOINT ["sh", "-c", "update-ca-trust && exec \"$@\"", "arg0"]
CMD ["/usr/bin/dockerregistry"]

LABEL \
        io.k8s.display-name="OpenShift Container Platform Image Registry" \
        io.k8s.description="This is a component of OpenShift Container Platform and exposes a container registry that is integrated with the cluster for authentication and management." \
        io.openshift.tags="openshift,container,image,registry" \
        License="GPLv2+" \
        vendor="Red Hat" \
        name="openshift/ose-docker-registry" \
        com.redhat.component="openshift-enterprise-registry-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Image Registry" \
        release="202011181111.p0" \
        io.openshift.build.commit.id="077ff76b50c443a525afbb78ad4159bf35f28c0b" \
        io.openshift.build.source-location="https://github.com/openshift/image-registry" \
        io.openshift.build.commit.url="https://github.com/openshift/image-registry/commit/077ff76b50c443a525afbb78ad4159bf35f28c0b" \
        version="v4.6.0"

